package com.inspect.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import lombok.Setter;

import java.util.List;

@Setter
@JsonInclude(Include.NON_EMPTY)
public class RouterVo {
    private String name;
    private String path;
    private boolean hidden;
    private String redirect;
    private String component;
    private String query;
    private Boolean alwaysShow;
    private MetaVo meta;
    private List<RouterVo> children;

    public String getName() {
        return this.name;
    }

    public String getPath() {
        return this.path;
    }

    public boolean getHidden() {
        return this.hidden;
    }

    public String getRedirect() {
        return this.redirect;
    }

    public String getComponent() {
        return this.component;
    }

    public String getQuery() {
        return this.query;
    }

    public Boolean getAlwaysShow() {
        return this.alwaysShow;
    }

    public MetaVo getMeta() {
        return this.meta;
    }

    public List<RouterVo> getChildren() {
        return this.children;
    }

}
